<?php
/**
 * Mola más - anyadir2.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2010 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2010-06-18
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

include('funciones.php');
$db = conectaDb();
cabecera('Votar términos 2', CABECERA_SIN_CURSOR);

$id       = recogeParaConsulta($db, 'id');
$terminoOk  = FALSE;

if ($id=="''") {
    print "<p style=\"color: red\">No se ha votado ningún término.</p>\n";
} else {
    $consulta = "SELECT COUNT(*) FROM $dbTerminos 
        WHERE id=$id";
    $result = $db->query($consulta);
    if (!$result) {
        print "<p>Error en la consulta.</p>\n";
    } elseif ($result->fetchColumn()==0) {
        print "<p>Registro no encontrado.</p>\n";
    } else {
        $terminoOk = TRUE;
    }
}

if ($terminoOk) {
    $consulta = "SELECT * FROM $dbTerminos 
        WHERE id=$id";
    $result = $db->query($consulta);
    if (!$result) {
        print "<p>Error en la consulta.</p>\n";
    } else {
        $valor = $result->fetch();
        $nuevoVoto = $valor['votos']+1; 
        $consulta = "UPDATE $dbTerminos
            SET votos=$nuevoVoto 
            WHERE id=$id";
        if ($db->query($consulta)) {
            print "<p>Registro modificado correctamente.</p>\n";
        } else {
            print "<p>Error al modificar el registro.</p>\n";
        }
    }
}

$db = NULL; 
pie();
?>
